org.apache.ignite.ml.selection.split.mapper

## Class SHA256UniformMapper<K,V>

- java.lang.Object
- - org.apache.ignite.ml.selection.split.mapper.SHA256UniformMapper<K,V>

- Type Parameters:
    `K` - Type of a key.
    `V` - Type of a value.
  All Implemented Interfaces:
    Serializable, UniformMapper<K,V>

      public class SHA256UniformMapper<K,V>
      extends Object
      implements UniformMapper<K,V>

  Implementation of uniform mappers based on SHA-256 hashing algorithm.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SHA256UniformMapper()` Constructs a new instance of SHA-256 uniform mapper.
    `SHA256UniformMapper(Random random)` Constructs a new instance of SHA-256 uniform mapper.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `map(K key, V val)` Maps key-value pair to a point on the segment (0, 1).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SHA256UniformMapper

          public SHA256UniformMapper()

      Constructs a new instance of SHA-256 uniform mapper.

    - #### SHA256UniformMapper

          public SHA256UniformMapper(Random random)

      Constructs a new instance of SHA-256 uniform mapper.
      Parameters:
        `random` - Random used to define shuffle strategy.

  - ### Method Detail

    - #### map

          public double map(K key,
                            V val)

      Maps key-value pair to a point on the segment (0, 1).
      Specified by:
        `map` in interface `UniformMapper<K,V>`
      Parameters:
        `key` - Key.
        `val` - Value.
      Returns:
        Point on the segment (0, 1).

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022